# OpenDP 4 Workload data

This repo contains scripts which are used to create the privatized releases of
HPC workload data.

# Installation

We recommend using virtual environments to install this script.

```
Package                Version    
---------------------- -----------
antlr4-python3-runtime 4.8        
asttokens              2.4.1      
azure-core             1.30.2     
certifi                2024.7.4   
charset-normalizer     3.3.2      
contourpy              1.2.1      
cycler                 0.12.1     
decorator              5.1.1      
exceptiongroup         1.2.2      
executing              2.0.1      
fonttools              4.53.1     
greenlet               3.0.3      
idna                   3.7        
importlib-resources    6.4.0      
ipython                8.18.1     
isodate                0.6.1      
jedi                   0.19.1     
kiwisolver             1.4.5      
matplotlib             3.9.1      
matplotlib-inline      0.1.7      
msrest                 0.7.1      
numpy                  2.0.1      
oauthlib               3.2.2      
opendp                 0.10.0     
packaging              24.1       
pandas                 2.2.2      
pandasql               0.7.3      
parso                  0.8.4      
patsy                  0.5.6      
pexpect                4.9.0      
pillow                 10.4.0     
pip                    20.0.2     
pkg-resources          0.0.0      
prompt-toolkit         3.0.47     
ptyprocess             0.7.0      
pure-eval              0.2.3      
pygments               2.18.0     
pyparsing              3.1.2      
python-dateutil        2.9.0.post0
pytz                   2024.1     
PyYAML                 6.0.1      
requests               2.32.3     
requests-oauthlib      2.0.0      
scipy                  1.13.1     
setuptools             44.0.0     
six                    1.16.0     
SQLAlchemy             2.0.31     
stack-data             0.6.3      
statsmodels            0.14.2     
traitlets              5.14.3     
typing-extensions      4.12.2     
tzdata                 2024.1     
urllib3                2.2.2      
wcwidth                0.2.13     
wheel                  0.43.0     
zipp                   3.19.2    
```

Installed with `pip3`

```
pip 20.0.2 from /home/mgimenez/Documents/local/dev/venvs/opendp/lib/python3.9/site-packages/pip (python 3.9)
```

With `Python 3.9.5`.

# Author

Manuel G. Marciani

BSC-CNS Earth Sciences Department

# Copyright

Upon cloning, this repo should have come with a copy of GNU GPL v3.

